62c2c525022471abd63df5a3076f6aa30930a0ec
[scilab.git] / scilab / modules / javasci / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) INRIA   - 2006 - Sylvestre Ledru
21 # Copyright (C) DIGITEO - 2009 - Pierre MARECHAL
22
23 # This file must be used under the terms of the CeCILL.
24 # This source file is licensed as described in the file COPYING, which
25 # you should have received as part of this distribution.  The terms
26 # are also available at    
27 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
28 #
29
30 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
31 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
32 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
33 #
34 # This file must be used under the terms of the CeCILL.
35 # This source file is licensed as described in the file COPYING, which
36 # you should have received as part of this distribution.  The terms
37 # are also available at
38 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
39 #
40
41 ##########
42 ### Makefile included stuff
43 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
44 ##########
45
46
47 VPATH = @srcdir@
48 pkgdatadir = $(datadir)/@PACKAGE@
49 pkgincludedir = $(includedir)/@PACKAGE@
50 pkglibdir = $(libdir)/@PACKAGE@
51 pkglibexecdir = $(libexecdir)/@PACKAGE@
52 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
53 install_sh_DATA = $(install_sh) -c -m 644
54 install_sh_PROGRAM = $(install_sh) -c
55 install_sh_SCRIPT = $(install_sh) -c
56 INSTALL_HEADER = $(INSTALL_DATA)
57 transform = $(program_transform_name)
58 NORMAL_INSTALL = :
59 PRE_INSTALL = :
60 POST_INSTALL = :
61 NORMAL_UNINSTALL = :
62 PRE_UNINSTALL = :
63 POST_UNINSTALL = :
64 build_triplet = @build@
65 host_triplet = @host@
66 @JAVASCI_TRUE@@SWIG_TRUE@am__append_1 = swig
67 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
68         $(top_srcdir)/Makefile.incl.am TODO
69 @JAVASCI_TRUE@@NEED_JAVA_TRUE@am__append_2 = java
70 subdir = modules/javasci
71 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
72 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
73         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
74         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
75         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
76         $(top_srcdir)/m4/intel_compiler.m4 \
77         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
78         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
79         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
80         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
81         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
82         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
83         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
84         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
85         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
86         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
87         $(top_srcdir)/configure.ac
88 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
89         $(ACLOCAL_M4)
90 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
91 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
92 CONFIG_CLEAN_FILES =
93 CONFIG_CLEAN_VPATH_FILES =
94 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
95 am__vpath_adj = case $$p in \
96     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
97     *) f=$$p;; \
98   esac;
99 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
100 am__install_max = 40
101 am__nobase_strip_setup = \
102   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
103 am__nobase_strip = \
104   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
105 am__nobase_list = $(am__nobase_strip_setup); \
106   for p in $$list; do echo "$$p $$p"; done | \
107   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
108   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
109     if (++n[$$2] == $(am__install_max)) \
110       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
111     END { for (dir in files) print dir, files[dir] }'
112 am__base_list = \
113   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
114   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
115 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
116         "$(DESTDIR)$(libjavasci_la_etcdir)" \
117         "$(DESTDIR)$(libjavasci_la_rootdir)" \
118         "$(DESTDIR)$(libsciscipad_la_imagesdir)"
119 LTLIBRARIES = $(pkglib_LTLIBRARIES)
120 @JAVASCI_TRUE@libjavasci_la_DEPENDENCIES =  \
121 @JAVASCI_TRUE@  $(top_builddir)/libs/MALLOC/libscimalloc.la \
122 @JAVASCI_TRUE@  $(top_builddir)/modules/api_scilab/libsciapi_scilab.la \
123 @JAVASCI_TRUE@  $(top_builddir)/modules/libscilab.la
124 am__libjavasci_la_SOURCES_DIST = src/c/javasci_Scilab2.c \
125         src/c/javasci_globals.c src/c/javasci_SciAbstractArray.c \
126         src/c/javasci_SciStringArray.c src/c/javasci_SciComplexArray.c \
127         src/c/fix.c src/c/javasci_SciDoubleArray.c \
128         src/c/javasci_Scilab.c src/c/javasci_SciBooleanArray.c \
129         src/c/javasci_SciIntegerArray.c
130 @JAVASCI_TRUE@am__objects_1 = libjavasci_la-javasci_Scilab2.lo \
131 @JAVASCI_TRUE@  libjavasci_la-javasci_globals.lo \
132 @JAVASCI_TRUE@  libjavasci_la-javasci_SciAbstractArray.lo \
133 @JAVASCI_TRUE@  libjavasci_la-javasci_SciStringArray.lo \
134 @JAVASCI_TRUE@  libjavasci_la-javasci_SciComplexArray.lo \
135 @JAVASCI_TRUE@  libjavasci_la-fix.lo \
136 @JAVASCI_TRUE@  libjavasci_la-javasci_SciDoubleArray.lo \
137 @JAVASCI_TRUE@  libjavasci_la-javasci_Scilab.lo \
138 @JAVASCI_TRUE@  libjavasci_la-javasci_SciBooleanArray.lo \
139 @JAVASCI_TRUE@  libjavasci_la-javasci_SciIntegerArray.lo
140 @JAVASCI_TRUE@am_libjavasci_la_OBJECTS = $(am__objects_1)
141 libjavasci_la_OBJECTS = $(am_libjavasci_la_OBJECTS)
142 libjavasci_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
143         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libjavasci_la_CFLAGS) \
144         $(CFLAGS) $(libjavasci_la_LDFLAGS) $(LDFLAGS) -o $@
145 @JAVASCI_TRUE@am_libjavasci_la_rpath = -rpath $(pkglibdir)
146 @JAVASCI_TRUE@libjavasci2_la_DEPENDENCIES =  \
147 @JAVASCI_TRUE@  $(top_builddir)/libs/MALLOC/libscimalloc.la \
148 @JAVASCI_TRUE@  $(top_builddir)/modules/api_scilab/libsciapi_scilab.la \
149 @JAVASCI_TRUE@  $(top_builddir)/modules/libscilab.la
150 am__libjavasci2_la_SOURCES_DIST = src/jni/call_scilab_wrap.c \
151         src/c/javasci2_helper.c
152 @JAVASCI_TRUE@am__objects_2 = libjavasci2_la-call_scilab_wrap.lo \
153 @JAVASCI_TRUE@  libjavasci2_la-javasci2_helper.lo
154 @JAVASCI_TRUE@am_libjavasci2_la_OBJECTS = $(am__objects_2)
155 libjavasci2_la_OBJECTS = $(am_libjavasci2_la_OBJECTS)
156 libjavasci2_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
157         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libjavasci2_la_CFLAGS) \
158         $(CFLAGS) $(libjavasci2_la_LDFLAGS) $(LDFLAGS) -o $@
159 @JAVASCI_TRUE@am_libjavasci2_la_rpath = -rpath $(pkglibdir)
160 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
161 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
162 am__depfiles_maybe = depfiles
163 am__mv = mv -f
164 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
165         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
166 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
167         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
168         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
169 CCLD = $(CC)
170 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
171         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
172         $(LDFLAGS) -o $@
173 SOURCES = $(libjavasci_la_SOURCES) $(libjavasci2_la_SOURCES)
174 DIST_SOURCES = $(am__libjavasci_la_SOURCES_DIST) \
175         $(am__libjavasci2_la_SOURCES_DIST)
176 DATA = $(libjavasci_la_etc_DATA) $(libjavasci_la_root_DATA) \
177         $(libsciscipad_la_images_DATA)
178 ETAGS = etags
179 CTAGS = ctags
180 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
181 ACLOCAL = @ACLOCAL@
182 ALL_LINGUAS = @ALL_LINGUAS@
183 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
184 AMTAR = @AMTAR@
185 ANT = @ANT@
186 ANTLR = @ANTLR@
187 AR = @AR@
188 ARPACK_LIBS = @ARPACK_LIBS@
189 AUTOCONF = @AUTOCONF@
190 AUTOHEADER = @AUTOHEADER@
191 AUTOMAKE = @AUTOMAKE@
192 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
193 AWK = @AWK@
194 BATIK = @BATIK@
195 BLAS_LIBS = @BLAS_LIBS@
196 BSH = @BSH@
197 CC = @CC@
198 CCACHE = @CCACHE@
199 CCDEPMODE = @CCDEPMODE@
200 CFLAGS = @CFLAGS@
201 CHECKSTYLE = @CHECKSTYLE@
202 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
203 COMMONS_IO = @COMMONS_IO@
204 COMMONS_LOGGING = @COMMONS_LOGGING@
205 CPP = @CPP@
206 CPPFLAGS = @CPPFLAGS@
207 CXX = @CXX@
208 CXXCPP = @CXXCPP@
209 CXXDEPMODE = @CXXDEPMODE@
210 CXXFLAGS = @CXXFLAGS@
211 CYGPATH_W = @CYGPATH_W@
212 DEFS = @DEFS@
213 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
214 DEPDIR = @DEPDIR@
215 DOCBOOK_ROOT = @DOCBOOK_ROOT@
216 DSYMUTIL = @DSYMUTIL@
217 DUMPBIN = @DUMPBIN@
218 ECHO_C = @ECHO_C@
219 ECHO_N = @ECHO_N@
220 ECHO_T = @ECHO_T@
221 EGREP = @EGREP@
222 EXEEXT = @EXEEXT@
223 F77 = @F77@
224 FFLAGS = @FFLAGS@
225 FFTW3_LIB = @FFTW3_LIB@
226 FFTW_ENABLE = @FFTW_ENABLE@
227 FGREP = @FGREP@
228 FLEXDOCK = @FLEXDOCK@
229 FLIBS = @FLIBS@
230 FOP = @FOP@
231 GENHTML = @GENHTML@
232 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
233 GIWS_BIN = @GIWS_BIN@
234 GLUEGEN_RT = @GLUEGEN_RT@
235 GMSGFMT = @GMSGFMT@
236 GMSGFMT_015 = @GMSGFMT_015@
237 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
238 GREP = @GREP@
239 GUI_ENABLE = @GUI_ENABLE@
240 HDF5_CFLAGS = @HDF5_CFLAGS@
241 HDF5_ENABLE = @HDF5_ENABLE@
242 HDF5_LIBS = @HDF5_LIBS@
243 HELP_ENABLE = @HELP_ENABLE@
244 INSTALL = @INSTALL@
245 INSTALL_DATA = @INSTALL_DATA@
246 INSTALL_PROGRAM = @INSTALL_PROGRAM@
247 INSTALL_SCRIPT = @INSTALL_SCRIPT@
248 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
249 INTLLIBS = @INTLLIBS@
250 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
251 JAR = @JAR@
252 JAVA = @JAVA@
253 JAVAC = @JAVAC@
254 JAVAC_DEBUG = @JAVAC_DEBUG@
255 JAVADOC = @JAVADOC@
256 JAVAH = @JAVAH@
257 JAVASCI_ENABLE = @JAVASCI_ENABLE@
258 JAVA_ENABLE = @JAVA_ENABLE@
259 JAVA_G = @JAVA_G@
260 JAVA_HOME = @JAVA_HOME@
261 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
262 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
263 JCOMMANDER = @JCOMMANDER@
264 JDB = @JDB@
265 JEUCLID_CORE = @JEUCLID_CORE@
266 JGRAPHX = @JGRAPHX@
267 JHALL = @JHALL@
268 JHDF5 = @JHDF5@
269 JLATEXMATH = @JLATEXMATH@
270 JLATEXMATH_FOP = @JLATEXMATH_FOP@
271 JOGL = @JOGL@
272 JROSETTA_API = @JROSETTA_API@
273 JROSETTA_ENGINE = @JROSETTA_ENGINE@
274 JUNIT = @JUNIT@
275 LAPACK_LIBS = @LAPACK_LIBS@
276 LCOV = @LCOV@
277 LD = @LD@
278 LDFLAGS = @LDFLAGS@
279 LIBICONV = @LIBICONV@
280 LIBINTL = @LIBINTL@
281 LIBM = @LIBM@
282 LIBOBJS = @LIBOBJS@
283 LIBS = @LIBS@
284 LIBTOOL = @LIBTOOL@
285 LIPO = @LIPO@
286 LN_S = @LN_S@
287 LOGGING_LEVEL = @LOGGING_LEVEL@
288 LOOKS = @LOOKS@
289 LTLIBICONV = @LTLIBICONV@
290 LTLIBINTL = @LTLIBINTL@
291 LTLIBOBJS = @LTLIBOBJS@
292 MAINT = @MAINT@
293 MAKEINFO = @MAKEINFO@
294 MATIO_CFLAGS = @MATIO_CFLAGS@
295 MATIO_ENABLE = @MATIO_ENABLE@
296 MATIO_LIBS = @MATIO_LIBS@
297 MKDIR_P = @MKDIR_P@
298 MSGCAT = @MSGCAT@
299 MSGFMT = @MSGFMT@
300 MSGFMT_015 = @MSGFMT_015@
301 MSGMERGE = @MSGMERGE@
302 NM = @NM@
303 NMEDIT = @NMEDIT@
304 OBJDUMP = @OBJDUMP@
305 OBJEXT = @OBJEXT@
306 OCAMLC = @OCAMLC@
307 OCAMLDEP = @OCAMLDEP@
308 OCAMLLEX = @OCAMLLEX@
309 OCAMLOPT = @OCAMLOPT@
310 OCAMLYACC = @OCAMLYACC@
311 OPENMP_CFLAGS = @OPENMP_CFLAGS@
312 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
313 OPENMP_ENABLE = @OPENMP_ENABLE@
314 OPENMP_LIBS = @OPENMP_LIBS@
315 OTOOL = @OTOOL@
316 OTOOL64 = @OTOOL64@
317 PACKAGE = @PACKAGE@
318 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
319 PACKAGE_NAME = @PACKAGE_NAME@
320 PACKAGE_STRING = @PACKAGE_STRING@
321 PACKAGE_TARNAME = @PACKAGE_TARNAME@
322 PACKAGE_URL = @PACKAGE_URL@
323 PACKAGE_VERSION = @PACKAGE_VERSION@
324 PATH_SEPARATOR = @PATH_SEPARATOR@
325 PCRE_CFLAGS = @PCRE_CFLAGS@
326 PCRE_CONFIG = @PCRE_CONFIG@
327 PCRE_LIBS = @PCRE_LIBS@
328 PCRE_VERSION = @PCRE_VERSION@
329 PKG_CONFIG = @PKG_CONFIG@
330 POSUB = @POSUB@
331 POW_LIB = @POW_LIB@
332 PYTHON = @PYTHON@
333 QDOX = @QDOX@
334 RANLIB = @RANLIB@
335 RELOCATABLE = @RELOCATABLE@
336 RT_LIB = @RT_LIB@
337 SAXON = @SAXON@
338 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
339 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
340 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
341 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
342 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
343 SED = @SED@
344 SET_MAKE = @SET_MAKE@
345 SET_RELOCATABLE = @SET_RELOCATABLE@
346 SHELL = @SHELL@
347 SKINLF = @SKINLF@
348 SPLINT = @SPLINT@
349 STRIP = @STRIP@
350 SWIG_BIN = @SWIG_BIN@
351 SWIG_JAVA = @SWIG_JAVA@
352 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
353 TCLTK_LIBS = @TCLTK_LIBS@
354 TCL_INC_PATH = @TCL_INC_PATH@
355 TESTNG = @TESTNG@
356 TK_INC_PATH = @TK_INC_PATH@
357 UMFPACK_ENABLE = @UMFPACK_ENABLE@
358 UMFPACK_LIB = @UMFPACK_LIB@
359 USE_NLS = @USE_NLS@
360 VERSION = @VERSION@
361 WITH_OCAML = @WITH_OCAML@
362 WITH_TKSCI = @WITH_TKSCI@
363 XCOS_ENABLE = @XCOS_ENABLE@
364 XGETTEXT = @XGETTEXT@
365 XGETTEXT_015 = @XGETTEXT_015@
366 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
367 XMKMF = @XMKMF@
368 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
369 XML_APIS_EXT = @XML_APIS_EXT@
370 XML_CONFIG = @XML_CONFIG@
371 XML_FLAGS = @XML_FLAGS@
372 XML_LIBS = @XML_LIBS@
373 XML_VERSION = @XML_VERSION@
374 X_CFLAGS = @X_CFLAGS@
375 X_EXTRA_LIBS = @X_EXTRA_LIBS@
376 X_LIBS = @X_LIBS@
377 X_PRE_LIBS = @X_PRE_LIBS@
378 abs_builddir = @abs_builddir@
379 abs_srcdir = @abs_srcdir@
380 abs_top_builddir = @abs_top_builddir@
381 abs_top_srcdir = @abs_top_srcdir@
382 ac_ct_CC = @ac_ct_CC@
383 ac_ct_CXX = @ac_ct_CXX@
384 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
385 ac_ct_F77 = @ac_ct_F77@
386 am__include = @am__include@
387 am__leading_dot = @am__leading_dot@
388 am__quote = @am__quote@
389 am__tar = @am__tar@
390 am__untar = @am__untar@
391 bindir = @bindir@
392 build = @build@
393 build_alias = @build_alias@
394 build_cpu = @build_cpu@
395 build_os = @build_os@
396 build_vendor = @build_vendor@
397 builddir = @builddir@
398 cxx_present = @cxx_present@
399 datadir = @datadir@
400 datarootdir = @datarootdir@
401 docdir = @docdir@
402 dvidir = @dvidir@
403 exec_prefix = @exec_prefix@
404 host = @host@
405 host_alias = @host_alias@
406 host_cpu = @host_cpu@
407 host_os = @host_os@
408 host_vendor = @host_vendor@
409 htmldir = @htmldir@
410 includedir = @includedir@
411 infodir = @infodir@
412 install_sh = @install_sh@
413 libdir = @libdir@
414 libexecdir = @libexecdir@
415 localedir = @localedir@
416 localstatedir = @localstatedir@
417 mandir = @mandir@
418 mkdir_p = @mkdir_p@
419 oldincludedir = @oldincludedir@
420 pdfdir = @pdfdir@
421 prefix = @prefix@
422 program_transform_name = @program_transform_name@
423 psdir = @psdir@
424 sbindir = @sbindir@
425 sharedstatedir = @sharedstatedir@
426 srcdir = @srcdir@
427 sysconfdir = @sysconfdir@
428 target_alias = @target_alias@
429 top_build_prefix = @top_build_prefix@
430 top_builddir = @top_builddir@
431 top_srcdir = @top_srcdir@
432
433 #### Target ######
434 modulename = javasci
435
436 #### javasci : Conf files ####
437 libjavasci_la_rootdir = $(mydatadir)
438 libjavasci_la_root_DATA = license.txt 
439
440 #### javasci : init scripts ####
441 libjavasci_la_etcdir = $(mydatadir)/etc
442 libjavasci_la_etc_DATA = etc/javasci.quit etc/javasci.start
443
444 ### All the compilation process of java is deleguated to ant
445
446 #### Javasci : sources ####
447 @JAVASCI_TRUE@JAVASCI_V1_C_SOURCES = src/c/javasci_Scilab2.c \
448 @JAVASCI_TRUE@src/c/javasci_globals.c \
449 @JAVASCI_TRUE@src/c/javasci_SciAbstractArray.c \
450 @JAVASCI_TRUE@src/c/javasci_SciStringArray.c \
451 @JAVASCI_TRUE@src/c/javasci_SciComplexArray.c \
452 @JAVASCI_TRUE@src/c/fix.c \
453 @JAVASCI_TRUE@src/c/javasci_SciDoubleArray.c \
454 @JAVASCI_TRUE@src/c/javasci_Scilab.c \
455 @JAVASCI_TRUE@src/c/javasci_SciBooleanArray.c \
456 @JAVASCI_TRUE@src/c/javasci_SciIntegerArray.c
457
458 @JAVASCI_TRUE@JAVASCI_V2_C_SOURCES = \
459 @JAVASCI_TRUE@src/jni/call_scilab_wrap.c \
460 @JAVASCI_TRUE@src/c/javasci2_helper.c
461
462 @JAVASCI_TRUE@pkglib_LTLIBRARIES = libjavasci.la libjavasci2.la
463 @JAVASCI_TRUE@libjavasci_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
464 @JAVASCI_TRUE@libjavasci_la_SOURCES = $(JAVASCI_V1_C_SOURCES)
465 @JAVASCI_TRUE@libjavasci2_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
466 @JAVASCI_TRUE@libjavasci2_la_SOURCES = $(JAVASCI_V2_C_SOURCES)
467
468 # For the code check (splint)
469 @JAVASCI_TRUE@CHECK_SRC = $(JAVASCI_C_SOURCES)
470 @JAVASCI_TRUE@INCLUDE_FLAGS = $(libjavasci_la_CFLAGS)
471 @JAVASCI_TRUE@libjavasci_la_CFLAGS = -I$(srcdir)/includes/ \
472 @JAVASCI_TRUE@                  $(JAVA_JNI_INCLUDE) \
473 @JAVASCI_TRUE@                  $(TCL_INC_PATH) \
474 @JAVASCI_TRUE@                  $(TK_INC_PATH) \
475 @JAVASCI_TRUE@                  -I$(top_srcdir)/libs/doublylinkedlist/includes \
476 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/tclsci/includes \
477 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/call_scilab/includes \
478 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/api_scilab/includes \
479 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/fileio/includes \
480 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/output_stream/includes
481
482 @JAVASCI_TRUE@libjavasci_la_LIBADD = \
483 @JAVASCI_TRUE@  $(top_builddir)/libs/MALLOC/libscimalloc.la \
484 @JAVASCI_TRUE@  $(top_builddir)/modules/api_scilab/libsciapi_scilab.la \
485 @JAVASCI_TRUE@  $(top_builddir)/modules/libscilab.la
486
487 @JAVASCI_TRUE@libjavasci2_la_CFLAGS = -I$(srcdir)/includes/ \
488 @JAVASCI_TRUE@                  -I$(srcdir)/src/c/ \
489 @JAVASCI_TRUE@                  $(JAVA_JNI_INCLUDE) \
490 @JAVASCI_TRUE@                  $(TCL_INC_PATH) \
491 @JAVASCI_TRUE@                  $(TK_INC_PATH) \
492 @JAVASCI_TRUE@                  -I$(top_srcdir)/libs/doublylinkedlist/includes \
493 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/tclsci/includes \
494 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/call_scilab/includes \
495 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/api_scilab/includes \
496 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/fileio/includes \
497 @JAVASCI_TRUE@                  -I$(top_srcdir)/modules/output_stream/includes
498
499 @JAVASCI_TRUE@libjavasci2_la_LIBADD = \
500 @JAVASCI_TRUE@  $(top_builddir)/libs/MALLOC/libscimalloc.la \
501 @JAVASCI_TRUE@  $(top_builddir)/modules/api_scilab/libsciapi_scilab.la \
502 @JAVASCI_TRUE@  $(top_builddir)/modules/libscilab.la
503
504
505 ### javasci :  images ###
506 @JAVASCI_TRUE@libsciscipad_la_imagesdir = $(mydatadir)/help/images/
507 @JAVASCI_TRUE@libsciscipad_la_images_DATA = help/images/ScilabClass.gif \
508 @JAVASCI_TRUE@help/images/SciAbstractDataTypeClass.gif \
509 @JAVASCI_TRUE@help/images/SciDoubleClass.gif \
510 @JAVASCI_TRUE@help/images/SciBooleanArrayClass.gif \
511 @JAVASCI_TRUE@help/images/SciComplexClass.gif \
512 @JAVASCI_TRUE@help/images/SciDoubleArrayClass.gif \
513 @JAVASCI_TRUE@help/images/SciComplexArrayClass.gif \
514 @JAVASCI_TRUE@help/images/SciStringArrayClass.gif \
515 @JAVASCI_TRUE@help/images/SciAbstractArrayClass.gif \
516 @JAVASCI_TRUE@help/images/SciStringClass.gif \
517 @JAVASCI_TRUE@help/images/SciBooleanClass.gif
518
519 @JAVASCI_TRUE@BUILT_SOURCES = $(am__append_1)
520
521 #### SWIG Declaration ####
522 @JAVASCI_TRUE@SWIG_WRAPPERS = src/jni/call_scilab.i
523 @JAVASCI_TRUE@USEANT = 1
524
525 # Where all the Scilab stuff is installed (macros, help, ...)
526 @JAVASCI_TRUE@mydatadir = $(pkgdatadir)/modules/$(modulename)
527
528 # splint options
529 @JAVASCI_TRUE@SPLINT_OPTIONS = -weak -booltype BOOL
530
531 ########################### JAVA ######################################
532 #### We are delegating java compilation to ant... Thanks to that
533 #### the procedure will be the same with Microsoft Windows (C)
534 #### and Linux/Unix
535 #######################################################################
536 @JAVASCI_TRUE@TARGETS_ALL = $(am__append_2)
537
538 ################ MACROS ######################
539 # Rule to build a macro
540 # NOT USED  AT THE MOMENT
541 @JAVASCI_TRUE@SUFFIXES = .sci 
542
543 ########### INSTALL DOCUMENTATION ###################
544
545 # Install documentation files into the right target
546 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
547 # automake needs the html files to be present which is not the case when
548 # we are building Scilab
549
550 # Where it should be installed
551 @JAVASCI_TRUE@pkgdocdir = $(mydatadir)
552
553 # What is the mask of the help source
554 @JAVASCI_TRUE@DOCMASKXML = *.xml
555
556 # What is the mask of the MathML sources
557 @JAVASCI_TRUE@DOCMASKMML = *.mml
558
559 ########### INSTALL DATA ###################
560 # Install macros, help & demos
561 # Where it should be installed
562 @JAVASCI_TRUE@pkgmacrosdir = $(mydatadir)
563 # Which directory we process
564 @JAVASCI_TRUE@MACRODIRS = macros/
565 # Mask of the Scilab sources macros
566 @JAVASCI_TRUE@MACROMASK = *.sci
567 # Mask of the Scilab executable sources macros
568 @JAVASCI_TRUE@MACROBUILDMASK = *.sce
569 # Mask of the Scilab compiled macros
570 @JAVASCI_TRUE@MACROBINMASK = *.bin
571 # List of the standard directory for tests
572 @JAVASCI_TRUE@TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
573 # Where the demos should be installed
574 @JAVASCI_TRUE@pkgdemosdir = $(mydatadir)
575 # List of the standard directory for demos
576 @JAVASCI_TRUE@DEMOS_DIR = demos
577 # List of the standard directory for examples
578 @JAVASCI_TRUE@EXAMPLES_DIR = examples
579 # Where to export JAVA archives (.jar)
580 @JAVASCI_TRUE@JARDIR = jar/
581 # JAR files mask
582 @JAVASCI_TRUE@JARMASK = *.jar
583 # Chapter file 
584 @JAVASCI_TRUE@HELP_CHAPTERDIR = help/
585 @JAVASCI_TRUE@HELP_CHAPTERFILE = addchapter.sce
586 @JAVASCI_TRUE@HELP_CHAPTERLANG = en_US fr_FR pt_BR
587 all: $(BUILT_SOURCES)
588         $(MAKE) $(AM_MAKEFLAGS) all-am
589
590 .SUFFIXES:
591 .SUFFIXES: .sci .bin .c .lo .o .obj
592 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
593         @for dep in $?; do \
594           case '$(am__configure_deps)' in \
595             *$$dep*) \
596               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
597                 && { if test -f $@; then exit 0; else break; fi; }; \
598               exit 1;; \
599           esac; \
600         done; \
601         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/javasci/Makefile'; \
602         $(am__cd) $(top_srcdir) && \
603           $(AUTOMAKE) --foreign modules/javasci/Makefile
604 .PRECIOUS: Makefile
605 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
606         @case '$?' in \
607           *config.status*) \
608             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
609           *) \
610             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
611             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
612         esac;
613
614 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
615         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
616
617 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
618         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
619 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
620         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
621 $(am__aclocal_m4_deps):
622 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
623         @$(NORMAL_INSTALL)
624         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
625         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
626         list2=; for p in $$list; do \
627           if test -f $$p; then \
628             list2="$$list2 $$p"; \
629           else :; fi; \
630         done; \
631         test -z "$$list2" || { \
632           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
633           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
634         }
635
636 uninstall-pkglibLTLIBRARIES:
637         @$(NORMAL_UNINSTALL)
638         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
639         for p in $$list; do \
640           $(am__strip_dir) \
641           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
642           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
643         done
644
645 clean-pkglibLTLIBRARIES:
646         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
647         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
648           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
649           test "$$dir" != "$$p" || dir=.; \
650           echo "rm -f \"$${dir}/so_locations\""; \
651           rm -f "$${dir}/so_locations"; \
652         done
653 libjavasci.la: $(libjavasci_la_OBJECTS) $(libjavasci_la_DEPENDENCIES) 
654         $(libjavasci_la_LINK) $(am_libjavasci_la_rpath) $(libjavasci_la_OBJECTS) $(libjavasci_la_LIBADD) $(LIBS)
655 libjavasci2.la: $(libjavasci2_la_OBJECTS) $(libjavasci2_la_DEPENDENCIES) 
656         $(libjavasci2_la_LINK) $(am_libjavasci2_la_rpath) $(libjavasci2_la_OBJECTS) $(libjavasci2_la_LIBADD) $(LIBS)
657
658 mostlyclean-compile:
659         -rm -f *.$(OBJEXT)
660
661 distclean-compile:
662         -rm -f *.tab.c
663
664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci2_la-call_scilab_wrap.Plo@am__quote@
665 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci2_la-javasci2_helper.Plo@am__quote@
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-fix.Plo@am__quote@
667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-javasci_SciAbstractArray.Plo@am__quote@
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-javasci_SciBooleanArray.Plo@am__quote@
669 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-javasci_SciComplexArray.Plo@am__quote@
670 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-javasci_SciDoubleArray.Plo@am__quote@
671 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-javasci_SciIntegerArray.Plo@am__quote@
672 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-javasci_SciStringArray.Plo@am__quote@
673 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-javasci_Scilab.Plo@am__quote@
674 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-javasci_Scilab2.Plo@am__quote@
675 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libjavasci_la-javasci_globals.Plo@am__quote@
676
677 .c.o:
678 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
679 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
683
684 .c.obj:
685 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
686 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
689 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
690
691 .c.lo:
692 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
693 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
696 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
697
698 libjavasci_la-javasci_Scilab2.lo: src/c/javasci_Scilab2.c
699 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-javasci_Scilab2.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-javasci_Scilab2.Tpo -c -o libjavasci_la-javasci_Scilab2.lo `test -f 'src/c/javasci_Scilab2.c' || echo '$(srcdir)/'`src/c/javasci_Scilab2.c
700 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-javasci_Scilab2.Tpo $(DEPDIR)/libjavasci_la-javasci_Scilab2.Plo
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci_Scilab2.c' object='libjavasci_la-javasci_Scilab2.lo' libtool=yes @AMDEPBACKSLASH@
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
703 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-javasci_Scilab2.lo `test -f 'src/c/javasci_Scilab2.c' || echo '$(srcdir)/'`src/c/javasci_Scilab2.c
704
705 libjavasci_la-javasci_globals.lo: src/c/javasci_globals.c
706 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-javasci_globals.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-javasci_globals.Tpo -c -o libjavasci_la-javasci_globals.lo `test -f 'src/c/javasci_globals.c' || echo '$(srcdir)/'`src/c/javasci_globals.c
707 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-javasci_globals.Tpo $(DEPDIR)/libjavasci_la-javasci_globals.Plo
708 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci_globals.c' object='libjavasci_la-javasci_globals.lo' libtool=yes @AMDEPBACKSLASH@
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
710 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-javasci_globals.lo `test -f 'src/c/javasci_globals.c' || echo '$(srcdir)/'`src/c/javasci_globals.c
711
712 libjavasci_la-javasci_SciAbstractArray.lo: src/c/javasci_SciAbstractArray.c
713 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-javasci_SciAbstractArray.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-javasci_SciAbstractArray.Tpo -c -o libjavasci_la-javasci_SciAbstractArray.lo `test -f 'src/c/javasci_SciAbstractArray.c' || echo '$(srcdir)/'`src/c/javasci_SciAbstractArray.c
714 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-javasci_SciAbstractArray.Tpo $(DEPDIR)/libjavasci_la-javasci_SciAbstractArray.Plo
715 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci_SciAbstractArray.c' object='libjavasci_la-javasci_SciAbstractArray.lo' libtool=yes @AMDEPBACKSLASH@
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
717 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-javasci_SciAbstractArray.lo `test -f 'src/c/javasci_SciAbstractArray.c' || echo '$(srcdir)/'`src/c/javasci_SciAbstractArray.c
718
719 libjavasci_la-javasci_SciStringArray.lo: src/c/javasci_SciStringArray.c
720 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-javasci_SciStringArray.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-javasci_SciStringArray.Tpo -c -o libjavasci_la-javasci_SciStringArray.lo `test -f 'src/c/javasci_SciStringArray.c' || echo '$(srcdir)/'`src/c/javasci_SciStringArray.c
721 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-javasci_SciStringArray.Tpo $(DEPDIR)/libjavasci_la-javasci_SciStringArray.Plo
722 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci_SciStringArray.c' object='libjavasci_la-javasci_SciStringArray.lo' libtool=yes @AMDEPBACKSLASH@
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
724 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-javasci_SciStringArray.lo `test -f 'src/c/javasci_SciStringArray.c' || echo '$(srcdir)/'`src/c/javasci_SciStringArray.c
725
726 libjavasci_la-javasci_SciComplexArray.lo: src/c/javasci_SciComplexArray.c
727 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-javasci_SciComplexArray.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-javasci_SciComplexArray.Tpo -c -o libjavasci_la-javasci_SciComplexArray.lo `test -f 'src/c/javasci_SciComplexArray.c' || echo '$(srcdir)/'`src/c/javasci_SciComplexArray.c
728 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-javasci_SciComplexArray.Tpo $(DEPDIR)/libjavasci_la-javasci_SciComplexArray.Plo
729 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci_SciComplexArray.c' object='libjavasci_la-javasci_SciComplexArray.lo' libtool=yes @AMDEPBACKSLASH@
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
731 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-javasci_SciComplexArray.lo `test -f 'src/c/javasci_SciComplexArray.c' || echo '$(srcdir)/'`src/c/javasci_SciComplexArray.c
732
733 libjavasci_la-fix.lo: src/c/fix.c
734 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-fix.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-fix.Tpo -c -o libjavasci_la-fix.lo `test -f 'src/c/fix.c' || echo '$(srcdir)/'`src/c/fix.c
735 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-fix.Tpo $(DEPDIR)/libjavasci_la-fix.Plo
736 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/fix.c' object='libjavasci_la-fix.lo' libtool=yes @AMDEPBACKSLASH@
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
738 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-fix.lo `test -f 'src/c/fix.c' || echo '$(srcdir)/'`src/c/fix.c
739
740 libjavasci_la-javasci_SciDoubleArray.lo: src/c/javasci_SciDoubleArray.c
741 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-javasci_SciDoubleArray.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-javasci_SciDoubleArray.Tpo -c -o libjavasci_la-javasci_SciDoubleArray.lo `test -f 'src/c/javasci_SciDoubleArray.c' || echo '$(srcdir)/'`src/c/javasci_SciDoubleArray.c
742 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-javasci_SciDoubleArray.Tpo $(DEPDIR)/libjavasci_la-javasci_SciDoubleArray.Plo
743 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci_SciDoubleArray.c' object='libjavasci_la-javasci_SciDoubleArray.lo' libtool=yes @AMDEPBACKSLASH@
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
745 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-javasci_SciDoubleArray.lo `test -f 'src/c/javasci_SciDoubleArray.c' || echo '$(srcdir)/'`src/c/javasci_SciDoubleArray.c
746
747 libjavasci_la-javasci_Scilab.lo: src/c/javasci_Scilab.c
748 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-javasci_Scilab.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-javasci_Scilab.Tpo -c -o libjavasci_la-javasci_Scilab.lo `test -f 'src/c/javasci_Scilab.c' || echo '$(srcdir)/'`src/c/javasci_Scilab.c
749 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-javasci_Scilab.Tpo $(DEPDIR)/libjavasci_la-javasci_Scilab.Plo
750 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci_Scilab.c' object='libjavasci_la-javasci_Scilab.lo' libtool=yes @AMDEPBACKSLASH@
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
752 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-javasci_Scilab.lo `test -f 'src/c/javasci_Scilab.c' || echo '$(srcdir)/'`src/c/javasci_Scilab.c
753
754 libjavasci_la-javasci_SciBooleanArray.lo: src/c/javasci_SciBooleanArray.c
755 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-javasci_SciBooleanArray.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-javasci_SciBooleanArray.Tpo -c -o libjavasci_la-javasci_SciBooleanArray.lo `test -f 'src/c/javasci_SciBooleanArray.c' || echo '$(srcdir)/'`src/c/javasci_SciBooleanArray.c
756 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-javasci_SciBooleanArray.Tpo $(DEPDIR)/libjavasci_la-javasci_SciBooleanArray.Plo
757 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci_SciBooleanArray.c' object='libjavasci_la-javasci_SciBooleanArray.lo' libtool=yes @AMDEPBACKSLASH@
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
759 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-javasci_SciBooleanArray.lo `test -f 'src/c/javasci_SciBooleanArray.c' || echo '$(srcdir)/'`src/c/javasci_SciBooleanArray.c
760
761 libjavasci_la-javasci_SciIntegerArray.lo: src/c/javasci_SciIntegerArray.c
762 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -MT libjavasci_la-javasci_SciIntegerArray.lo -MD -MP -MF $(DEPDIR)/libjavasci_la-javasci_SciIntegerArray.Tpo -c -o libjavasci_la-javasci_SciIntegerArray.lo `test -f 'src/c/javasci_SciIntegerArray.c' || echo '$(srcdir)/'`src/c/javasci_SciIntegerArray.c
763 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci_la-javasci_SciIntegerArray.Tpo $(DEPDIR)/libjavasci_la-javasci_SciIntegerArray.Plo
764 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci_SciIntegerArray.c' object='libjavasci_la-javasci_SciIntegerArray.lo' libtool=yes @AMDEPBACKSLASH@
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
766 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci_la_CFLAGS) $(CFLAGS) -c -o libjavasci_la-javasci_SciIntegerArray.lo `test -f 'src/c/javasci_SciIntegerArray.c' || echo '$(srcdir)/'`src/c/javasci_SciIntegerArray.c
767
768 libjavasci2_la-call_scilab_wrap.lo: src/jni/call_scilab_wrap.c
769 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci2_la_CFLAGS) $(CFLAGS) -MT libjavasci2_la-call_scilab_wrap.lo -MD -MP -MF $(DEPDIR)/libjavasci2_la-call_scilab_wrap.Tpo -c -o libjavasci2_la-call_scilab_wrap.lo `test -f 'src/jni/call_scilab_wrap.c' || echo '$(srcdir)/'`src/jni/call_scilab_wrap.c
770 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci2_la-call_scilab_wrap.Tpo $(DEPDIR)/libjavasci2_la-call_scilab_wrap.Plo
771 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/jni/call_scilab_wrap.c' object='libjavasci2_la-call_scilab_wrap.lo' libtool=yes @AMDEPBACKSLASH@
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
773 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci2_la_CFLAGS) $(CFLAGS) -c -o libjavasci2_la-call_scilab_wrap.lo `test -f 'src/jni/call_scilab_wrap.c' || echo '$(srcdir)/'`src/jni/call_scilab_wrap.c
774
775 libjavasci2_la-javasci2_helper.lo: src/c/javasci2_helper.c
776 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci2_la_CFLAGS) $(CFLAGS) -MT libjavasci2_la-javasci2_helper.lo -MD -MP -MF $(DEPDIR)/libjavasci2_la-javasci2_helper.Tpo -c -o libjavasci2_la-javasci2_helper.lo `test -f 'src/c/javasci2_helper.c' || echo '$(srcdir)/'`src/c/javasci2_helper.c
777 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libjavasci2_la-javasci2_helper.Tpo $(DEPDIR)/libjavasci2_la-javasci2_helper.Plo
778 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/javasci2_helper.c' object='libjavasci2_la-javasci2_helper.lo' libtool=yes @AMDEPBACKSLASH@
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
780 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libjavasci2_la_CFLAGS) $(CFLAGS) -c -o libjavasci2_la-javasci2_helper.lo `test -f 'src/c/javasci2_helper.c' || echo '$(srcdir)/'`src/c/javasci2_helper.c
781
782 mostlyclean-libtool:
783         -rm -f *.lo
784
785 clean-libtool:
786         -rm -rf .libs _libs
787 install-libjavasci_la_etcDATA: $(libjavasci_la_etc_DATA)
788         @$(NORMAL_INSTALL)
789         test -z "$(libjavasci_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libjavasci_la_etcdir)"
790         @list='$(libjavasci_la_etc_DATA)'; test -n "$(libjavasci_la_etcdir)" || list=; \
791         for p in $$list; do \
792           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
793           echo "$$d$$p"; \
794         done | $(am__base_list) | \
795         while read files; do \
796           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libjavasci_la_etcdir)'"; \
797           $(INSTALL_DATA) $$files "$(DESTDIR)$(libjavasci_la_etcdir)" || exit $$?; \
798         done
799
800 uninstall-libjavasci_la_etcDATA:
801         @$(NORMAL_UNINSTALL)
802         @list='$(libjavasci_la_etc_DATA)'; test -n "$(libjavasci_la_etcdir)" || list=; \
803         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
804         test -n "$$files" || exit 0; \
805         echo " ( cd '$(DESTDIR)$(libjavasci_la_etcdir)' && rm -f" $$files ")"; \
806         cd "$(DESTDIR)$(libjavasci_la_etcdir)" && rm -f $$files
807 install-libjavasci_la_rootDATA: $(libjavasci_la_root_DATA)
808         @$(NORMAL_INSTALL)
809         test -z "$(libjavasci_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libjavasci_la_rootdir)"
810         @list='$(libjavasci_la_root_DATA)'; test -n "$(libjavasci_la_rootdir)" || list=; \
811         for p in $$list; do \
812           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
813           echo "$$d$$p"; \
814         done | $(am__base_list) | \
815         while read files; do \
816           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libjavasci_la_rootdir)'"; \
817           $(INSTALL_DATA) $$files "$(DESTDIR)$(libjavasci_la_rootdir)" || exit $$?; \
818         done
819
820 uninstall-libjavasci_la_rootDATA:
821         @$(NORMAL_UNINSTALL)
822         @list='$(libjavasci_la_root_DATA)'; test -n "$(libjavasci_la_rootdir)" || list=; \
823         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
824         test -n "$$files" || exit 0; \
825         echo " ( cd '$(DESTDIR)$(libjavasci_la_rootdir)' && rm -f" $$files ")"; \
826         cd "$(DESTDIR)$(libjavasci_la_rootdir)" && rm -f $$files
827 install-libsciscipad_la_imagesDATA: $(libsciscipad_la_images_DATA)
828         @$(NORMAL_INSTALL)
829         test -z "$(libsciscipad_la_imagesdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciscipad_la_imagesdir)"
830         @list='$(libsciscipad_la_images_DATA)'; test -n "$(libsciscipad_la_imagesdir)" || list=; \
831         for p in $$list; do \
832           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
833           echo "$$d$$p"; \
834         done | $(am__base_list) | \
835         while read files; do \
836           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciscipad_la_imagesdir)'"; \
837           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciscipad_la_imagesdir)" || exit $$?; \
838         done
839
840 uninstall-libsciscipad_la_imagesDATA:
841         @$(NORMAL_UNINSTALL)
842         @list='$(libsciscipad_la_images_DATA)'; test -n "$(libsciscipad_la_imagesdir)" || list=; \
843         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
844         test -n "$$files" || exit 0; \
845         echo " ( cd '$(DESTDIR)$(libsciscipad_la_imagesdir)' && rm -f" $$files ")"; \
846         cd "$(DESTDIR)$(libsciscipad_la_imagesdir)" && rm -f $$files
847
848 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
849         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
850         unique=`for i in $$list; do \
851             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
852           done | \
853           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
854               END { if (nonempty) { for (i in files) print i; }; }'`; \
855         mkid -fID $$unique
856 tags: TAGS
857
858 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
859                 $(TAGS_FILES) $(LISP)
860         set x; \
861         here=`pwd`; \
862         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
863         unique=`for i in $$list; do \
864             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
865           done | \
866           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
867               END { if (nonempty) { for (i in files) print i; }; }'`; \
868         shift; \
869         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
870           test -n "$$unique" || unique=$$empty_fix; \
871           if test $$# -gt 0; then \
872             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
873               "$$@" $$unique; \
874           else \
875             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
876               $$unique; \
877           fi; \
878         fi
879 ctags: CTAGS
880 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
881                 $(TAGS_FILES) $(LISP)
882         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
883         unique=`for i in $$list; do \
884             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
885           done | \
886           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
887               END { if (nonempty) { for (i in files) print i; }; }'`; \
888         test -z "$(CTAGS_ARGS)$$unique" \
889           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
890              $$unique
891
892 GTAGS:
893         here=`$(am__cd) $(top_builddir) && pwd` \
894           && $(am__cd) $(top_srcdir) \
895           && gtags -i $(GTAGS_ARGS) "$$here"
896
897 distclean-tags:
898         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
899
900 distdir: $(DISTFILES)
901         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
902         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
903         list='$(DISTFILES)'; \
904           dist_files=`for file in $$list; do echo $$file; done | \
905           sed -e "s|^$$srcdirstrip/||;t" \
906               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
907         case $$dist_files in \
908           */*) $(MKDIR_P) `echo "$$dist_files" | \
909                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
910                            sort -u` ;; \
911         esac; \
912         for file in $$dist_files; do \
913           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
914           if test -d $$d/$$file; then \
915             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
916             if test -d "$(distdir)/$$file"; then \
917               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
918             fi; \
919             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
920               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
921               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
922             fi; \
923             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
924           else \
925             test -f "$(distdir)/$$file" \
926             || cp -p $$d/$$file "$(distdir)/$$file" \
927             || exit 1; \
928           fi; \
929         done
930 @JAVASCI_FALSE@check-local:
931 check-am: all-am
932         $(MAKE) $(AM_MAKEFLAGS) check-local
933 check: $(BUILT_SOURCES)
934         $(MAKE) $(AM_MAKEFLAGS) check-am
935 @JAVASCI_FALSE@all-local:
936 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
937 installdirs:
938         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libjavasci_la_etcdir)" "$(DESTDIR)$(libjavasci_la_rootdir)" "$(DESTDIR)$(libsciscipad_la_imagesdir)"; do \
939           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
940         done
941 install: $(BUILT_SOURCES)
942         $(MAKE) $(AM_MAKEFLAGS) install-am
943 install-exec: install-exec-am
944 install-data: install-data-am
945 uninstall: uninstall-am
946
947 install-am: all-am
948         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
949
950 installcheck: installcheck-am
951 install-strip:
952         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
953           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
954           `test -z '$(STRIP)' || \
955             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
956 mostlyclean-generic:
957
958 clean-generic:
959
960 distclean-generic:
961         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
962         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
963
964 maintainer-clean-generic:
965         @echo "This command is intended for maintainers to use"
966         @echo "it deletes files that may require special tools to rebuild."
967         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
968 @JAVASCI_FALSE@distclean-local:
969 @JAVASCI_FALSE@install-data-local:
970 @JAVASCI_FALSE@install-html-local:
971 @JAVASCI_FALSE@clean-local:
972 clean: clean-am
973
974 clean-am: clean-generic clean-libtool clean-local \
975         clean-pkglibLTLIBRARIES mostlyclean-am
976
977 distclean: distclean-am
978         -rm -rf ./$(DEPDIR)
979         -rm -f Makefile
980 distclean-am: clean-am distclean-compile distclean-generic \
981         distclean-local distclean-tags
982
983 dvi: dvi-am
984
985 dvi-am:
986
987 html: html-am
988
989 html-am:
990
991 info: info-am
992
993 info-am:
994
995 install-data-am: install-data-local install-libjavasci_la_etcDATA \
996         install-libjavasci_la_rootDATA \
997         install-libsciscipad_la_imagesDATA
998
999 install-dvi: install-dvi-am
1000
1001 install-dvi-am:
1002
1003 install-exec-am: install-pkglibLTLIBRARIES
1004
1005 install-html: install-html-am
1006
1007 install-html-am: install-html-local
1008
1009 install-info: install-info-am
1010
1011 install-info-am:
1012
1013 install-man:
1014
1015 install-pdf: install-pdf-am
1016
1017 install-pdf-am:
1018
1019 install-ps: install-ps-am
1020
1021 install-ps-am:
1022
1023 installcheck-am:
1024
1025 maintainer-clean: maintainer-clean-am
1026         -rm -rf ./$(DEPDIR)
1027         -rm -f Makefile
1028 maintainer-clean-am: distclean-am maintainer-clean-generic
1029
1030 mostlyclean: mostlyclean-am
1031
1032 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1033         mostlyclean-libtool
1034
1035 pdf: pdf-am
1036
1037 pdf-am:
1038
1039 ps: ps-am
1040
1041 ps-am:
1042
1043 uninstall-am: uninstall-libjavasci_la_etcDATA \
1044         uninstall-libjavasci_la_rootDATA \
1045         uninstall-libsciscipad_la_imagesDATA \
1046         uninstall-pkglibLTLIBRARIES
1047
1048 .MAKE: all check check-am install install-am install-strip
1049
1050 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1051         clean clean-generic clean-libtool clean-local \
1052         clean-pkglibLTLIBRARIES ctags distclean distclean-compile \
1053         distclean-generic distclean-libtool distclean-local \
1054         distclean-tags distdir dvi dvi-am html html-am info info-am \
1055         install install-am install-data install-data-am \
1056         install-data-local install-dvi install-dvi-am install-exec \
1057         install-exec-am install-html install-html-am \
1058         install-html-local install-info install-info-am \
1059         install-libjavasci_la_etcDATA install-libjavasci_la_rootDATA \
1060         install-libsciscipad_la_imagesDATA install-man install-pdf \
1061         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1062         install-ps-am install-strip installcheck installcheck-am \
1063         installdirs maintainer-clean maintainer-clean-generic \
1064         mostlyclean mostlyclean-compile mostlyclean-generic \
1065         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1066         uninstall-am uninstall-libjavasci_la_etcDATA \
1067         uninstall-libjavasci_la_rootDATA \
1068         uninstall-libsciscipad_la_imagesDATA \
1069         uninstall-pkglibLTLIBRARIES
1070
1071
1072 # This target enables tests for Scilab
1073 @JAVASCI_TRUE@check-local: $(top_builddir)/scilab-bin test
1074 @JAVASCI_TRUE@  @COMMAND="test_run('$(modulename)');quit";\
1075 @JAVASCI_TRUE@  export LANG=C;\
1076 @JAVASCI_TRUE@  $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1077 @JAVASCI_TRUE@check-code:
1078 @JAVASCI_TRUE@  if test -f build.xml; then \
1079 @JAVASCI_TRUE@          $(ANT) checkstyle; \
1080 @JAVASCI_TRUE@  fi
1081 @JAVASCI_TRUE@  if test -x "$(SPLINT)"; then \
1082 @JAVASCI_TRUE@          $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1083 @JAVASCI_TRUE@  fi
1084 @JAVASCI_TRUE@@NEED_JAVA_TRUE@java:
1085 # Some configurations needs to export JAVA_HOME in the current env
1086 @JAVASCI_TRUE@@NEED_JAVA_TRUE@  @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1087 @JAVASCI_TRUE@@NEED_JAVA_TRUE@  if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1088 @JAVASCI_TRUE@@NEED_JAVA_TRUE@  if test -f build.xml -a $$USEANT -eq 1; then \
1089 @JAVASCI_TRUE@@NEED_JAVA_TRUE@          $(ANT); \
1090 @JAVASCI_TRUE@@NEED_JAVA_TRUE@  fi
1091
1092 @JAVASCI_TRUE@@NEED_JAVA_TRUE@clean-java:
1093 # Some configurations needs to export JAVA_HOME in the current env
1094 @JAVASCI_TRUE@@NEED_JAVA_TRUE@  @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1095 @JAVASCI_TRUE@@NEED_JAVA_TRUE@  if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1096 @JAVASCI_TRUE@@NEED_JAVA_TRUE@  if test -f build.xml -a $$USEANT -eq 1; then \
1097 @JAVASCI_TRUE@@NEED_JAVA_TRUE@          $(ANT) clean; \
1098 @JAVASCI_TRUE@@NEED_JAVA_TRUE@  fi;
1099
1100 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1101 # We call the target swig-build on the variable SWIG_WRAPPERS
1102
1103 @JAVASCI_TRUE@@SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1104 @JAVASCI_TRUE@@SWIG_TRUE@       @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1105 @JAVASCI_TRUE@@SWIG_TRUE@       SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1106 @JAVASCI_TRUE@@SWIG_TRUE@       if test -n "$(SWIG_WRAPPERS)"; then \
1107 @JAVASCI_TRUE@@SWIG_TRUE@               for file in $(SWIG_WRAPPERS) ; do \
1108 @JAVASCI_TRUE@@SWIG_TRUE@                       echo "Swig process of $$file ..."; \
1109 @JAVASCI_TRUE@@SWIG_TRUE@                       $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1110 @JAVASCI_TRUE@@SWIG_TRUE@               done; \
1111 @JAVASCI_TRUE@@SWIG_TRUE@       fi
1112
1113 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1114 # We call the target swig-build on the variable SWIG_WRAPPERS
1115
1116 @GIWS_TRUE@@JAVASCI_TRUE@giws: $(GIWS_WRAPPERS)
1117 @GIWS_TRUE@@JAVASCI_TRUE@       @GIWS_OUTPUTDIR=src/jni/;\
1118 @GIWS_TRUE@@JAVASCI_TRUE@       if test -n "$(GIWS_WRAPPERS)"; then \
1119 @GIWS_TRUE@@JAVASCI_TRUE@               for file in $(GIWS_WRAPPERS) ; do \
1120 @GIWS_TRUE@@JAVASCI_TRUE@                       echo "GIWS process of $$file ..."; \
1121 @GIWS_TRUE@@JAVASCI_TRUE@                       $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1122 @GIWS_TRUE@@JAVASCI_TRUE@               done; \
1123 @GIWS_TRUE@@JAVASCI_TRUE@       fi
1124
1125 @GIWS_TRUE@@JAVASCI_TRUE@giws-exception:
1126 @GIWS_TRUE@@JAVASCI_TRUE@       @GIWS_OUTPUTDIR=src/jni/;\
1127 @GIWS_TRUE@@JAVASCI_TRUE@       echo "GIWS: Generation of exception class ..."; \
1128 @GIWS_TRUE@@JAVASCI_TRUE@       $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1129
1130 @JAVASCI_TRUE@macros:
1131 @JAVASCI_TRUE@  -@( if test ! -x $(top_builddir)/scilab-bin; then \
1132 @JAVASCI_TRUE@          echo "Error : Cannot build $< : Scilab has not been built"; \
1133 @JAVASCI_TRUE@  else \
1134 @JAVASCI_TRUE@          $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1135 @JAVASCI_TRUE@  fi)
1136
1137 # Removes the macros
1138 @JAVASCI_TRUE@clean-macros:
1139 # Removes macros (*.bin generated from .sci)
1140 @JAVASCI_TRUE@  @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1141 @JAVASCI_TRUE@          echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1142 @JAVASCI_TRUE@          rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1143 @JAVASCI_TRUE@  done
1144
1145 @JAVASCI_TRUE@test:
1146 # More tests could be added here
1147 @JAVASCI_TRUE@  @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1148 @JAVASCI_TRUE@  if test -f build.xml -a $$USEANT -eq 1; then \
1149 @JAVASCI_TRUE@          $(ANT) test; \
1150 @JAVASCI_TRUE@  fi
1151
1152 @JAVASCI_TRUE@all-local: $(TARGETS_ALL)
1153
1154 @JAVASCI_TRUE@.sci.bin:
1155 @JAVASCI_TRUE@  -@( if test ! -x $(top_builddir)/scilab-bin; then \
1156 @JAVASCI_TRUE@  echo "Error : Cannot build $< : Scilab has not been build"; \
1157 @JAVASCI_TRUE@  else \
1158 @JAVASCI_TRUE@  echo "Creating $@"; \
1159 @JAVASCI_TRUE@  $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1160 @JAVASCI_TRUE@  fi )
1161
1162 @JAVASCI_TRUE@install-html-local:
1163
1164 @JAVASCI_TRUE@install-data-local-local:
1165 # Mainly for javasci
1166 @JAVASCI_TRUE@  @if test -d $(srcdir)/javadoc; then \
1167 @JAVASCI_TRUE@          cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1168 @JAVASCI_TRUE@  fi
1169 # If the user wants the help sources to be installed
1170 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@   @echo "-------- Install of XML sources of help files --------"; \
1171 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@   for lang in $(ALL_LINGUAS); do \
1172 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@    if test -d $(srcdir)/help/$$lang; then \
1173 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1174 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@           if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1175 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@             for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1176 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@               echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1177 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@           $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1178 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@             done ; \
1179 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@           fi; \
1180 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@    fi; \
1181 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@   done; \
1182 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@   @echo "-------- Install of MathML sources --------"; \
1183 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@    if test -d $(srcdir)/help/mml/; then \
1184 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1185 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@           if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1186 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@             for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1187 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@               echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1188 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@           $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1189 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@             done ; \
1190 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@           fi; \
1191 @INSTALL_HELP_XML_TRUE@@JAVASCI_TRUE@   fi
1192 @JAVASCI_TRUE@install-data-local:
1193 # Install the tests
1194 @JAVASCI_TRUE@  @echo "-------- Install tests (if any) --------"; \
1195 @JAVASCI_TRUE@  for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1196 @JAVASCI_TRUE@    if test -d $(srcdir)/$$dir/; then \
1197 @JAVASCI_TRUE@      $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1198 @JAVASCI_TRUE@            for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1199 @JAVASCI_TRUE@              if test -d "$(srcdir)/$$dir/$$file"; then \
1200 @JAVASCI_TRUE@                    echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1201 @JAVASCI_TRUE@                    $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1202 @JAVASCI_TRUE@              else \
1203 @JAVASCI_TRUE@                echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1204 @JAVASCI_TRUE@            $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1205 @JAVASCI_TRUE@              fi \
1206 @JAVASCI_TRUE@            done; \
1207 @JAVASCI_TRUE@    fi; \
1208 @JAVASCI_TRUE@  done
1209 # Install the help chapter
1210 @JAVASCI_TRUE@  @echo "-------- Install the help chapter (if any) --------"; \
1211 @JAVASCI_TRUE@  for lang in $(HELP_CHAPTERLANG); do \
1212 @JAVASCI_TRUE@          HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1213 @JAVASCI_TRUE@          if test -f $$HELPFILE; then \
1214 @JAVASCI_TRUE@                  echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1215 @JAVASCI_TRUE@                  $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1216 @JAVASCI_TRUE@                  echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1217 @JAVASCI_TRUE@                  $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1218 @JAVASCI_TRUE@          fi; \
1219 @JAVASCI_TRUE@  done
1220 # Install the demos & examples
1221 @JAVASCI_TRUE@  @echo "-------- Install demos & examples (if any) --------"; \
1222 @JAVASCI_TRUE@  for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1223 @JAVASCI_TRUE@    if test -d $(srcdir)/$$dir/; then \
1224 @JAVASCI_TRUE@      $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1225 @JAVASCI_TRUE@            for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1226 @JAVASCI_TRUE@              if test -d "$(srcdir)/$$dir/$$file"; then \
1227 @JAVASCI_TRUE@                    echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1228 @JAVASCI_TRUE@                    $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1229 @JAVASCI_TRUE@              else \
1230 @JAVASCI_TRUE@                echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1231 @JAVASCI_TRUE@            $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1232 @JAVASCI_TRUE@              fi \
1233 @JAVASCI_TRUE@            done; \
1234 @JAVASCI_TRUE@    fi; \
1235 @JAVASCI_TRUE@  done
1236 # Install the macros
1237 @JAVASCI_TRUE@  @echo "-------- Install macros (if any) --------"; \
1238 @JAVASCI_TRUE@  for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1239 @JAVASCI_TRUE@    $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1240 @JAVASCI_TRUE@          if test -d $(srcdir)/$$dir/; then \
1241 @JAVASCI_TRUE@                  FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1242 @JAVASCI_TRUE@                  if test -n "$(MACROSSPECIALEXT)"; then \
1243 @JAVASCI_TRUE@                          specialExtDir=""; \
1244 @JAVASCI_TRUE@                          for specialExt in $(MACROSSPECIALEXT); do \
1245 @JAVASCI_TRUE@                                  specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1246 @JAVASCI_TRUE@                          done; \
1247 @JAVASCI_TRUE@                          FILELIST="$$FILELIST $$specialExtDir"; \
1248 @JAVASCI_TRUE@                  fi; \
1249 @JAVASCI_TRUE@            for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1250 @JAVASCI_TRUE@              echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1251 @JAVASCI_TRUE@          $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1252 @JAVASCI_TRUE@            done; \
1253 @JAVASCI_TRUE@          fi; \
1254 @JAVASCI_TRUE@  done
1255 # Install java files (.jar)
1256 @JAVASCI_TRUE@  @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1257 @JAVASCI_TRUE@  echo "-------- Install jar files --------"; \
1258 @JAVASCI_TRUE@    $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1259 @JAVASCI_TRUE@    for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1260 @JAVASCI_TRUE@              echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1261 @JAVASCI_TRUE@          $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1262 @JAVASCI_TRUE@    done ; \
1263 @JAVASCI_TRUE@  fi
1264
1265 ########### CLEAN ###################
1266 # Clean help (generated automatically by Scilab)
1267 # It used to clean the macro (clean-macros) but this was causing
1268 # make clean && make to fail Scilab startup
1269 @JAVASCI_TRUE@@NEED_JAVA_TRUE@clean-local: clean-java
1270 @JAVASCI_TRUE@@NEED_JAVA_FALSE@clean-local:
1271
1272 @JAVASCI_TRUE@distclean-local:
1273 @JAVASCI_TRUE@  rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1274
1275 @JAVASCI_TRUE@.PHONY: macros java swig giws
1276
1277 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1278 # Otherwise a system limit (for SysV at least) may be exceeded.
1279 .NOEXPORT: